FROM debian:stretch-slim

EXPOSE 1883

ENTRYPOINT ["/usr/sbin/mosquitto", "-c", "/conf/mosquitto.conf"]

RUN set -x \
  && perl -pi -e 's/(deb|security).debian.org/archive.debian.org/' /etc/apt/sources.list \
  && perl -ni -e 'print unless /stretch-updates/' /etc/apt/sources.list \
  && apt-get update \
  && DEBIAN_FRONTEND=noninteractive apt-get install -y --allow-downgrades mosquitto mosquitto-auth-plugin \
  && mkdir /conf \
  && touch /conf/mosquitto.conf
